<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.dbs.mplus.fatimadaegu.inf</groupId>
	<artifactId>soap-inf-tools</artifactId>
	<packaging>jar</packaging>
	<version>1.0.0</version>
	<name>soap-inf-tools</name>
	<url>http://maven.apache.org</url>

	<properties>
		<cxf.version>3.1.7</cxf.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		
		<maven.ant.run.plugin.version>1.7</maven.ant.run.plugin.version>
		<maven.resources.plugin.version>2.7</maven.resources.plugin.version>
		<maven.compiler.plugin.version>3.1</maven.compiler.plugin.version>
		<maven.compiler.source.version>1.7</maven.compiler.source.version>
		<maven.compiler.target.version>1.7</maven.compiler.target.version>
		<maven.compiler.debug.mode>true</maven.compiler.debug.mode>
		<encoding.type>UTF-8</encoding.type>
	</properties>

	<dependencies>

	</dependencies>

	<build>
		<plugins>
              <plugin>
                <groupId>org.apache.cxf</groupId>
                <artifactId>cxf-codegen-plugin</artifactId>
                <version>${cxf.version}</version>
                <executions>
                    <execution>
                        <id>generate-sources</id>
                        <phase>generate-sources</phase>
                        <configuration>
                            <sourceRoot>${project.build.directory}/generated/cxf</sourceRoot>
                            <wsdlOptions>
                                <wsdlOption>
                                	<wsdl>https://consent.fatima.or.kr/ConsentSvc.asmx?wsdl</wsdl>
						            <extraargs>
						                <extraarg>-verbose</extraarg>
						                <extraarg>-client</extraarg>
								        <extraarg>-databinding</extraarg>
								        <extraarg>jaxb</extraarg>
										<extraarg>-mark-generated</extraarg>
										<extraarg>-validate</extraarg>
						            </extraargs>
						            <packagenames>
						            	<packagename>http://tempuri.org/=com.dbs.mplus.fatimadeagu.inf</packagename>
						            </packagenames>
                                </wsdlOption>
                                <wsdlOption>
                                	<wsdl>https://consent.fatima.or.kr/HospitalSvc.asmx?wsdl</wsdl>
						            <extraargs>
						                <extraarg>-verbose</extraarg>
						                <extraarg>-client</extraarg>
								        <extraarg>-databinding</extraarg>
								        <extraarg>jaxb</extraarg>
										<extraarg>-mark-generated</extraarg>
										<extraarg>-validate</extraarg>
						            </extraargs>
						            <packagenames>
						            	<packagename>http://tempuri.org/=com.dbs.mplus.fatimadeagu.inf</packagename>
						            </packagenames>
                                </wsdlOption>
                            </wsdlOptions>
                            <encoding>${encoding.type}</encoding>
                        </configuration>
                        <goals>
                            <goal>wsdl2java</goal>
                        </goals>
                    </execution>
                </executions>
              </plugin>
              
              <plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>${maven.compiler.plugin.version}</version>
					<configuration>
						<source>${maven.compiler.source.version}</source>
						<target>${maven.compiler.target.version}</target>
						<maven.compiler.debug>${maven.compiler.debug.mode}</maven.compiler.debug>
						<encoding>${encoding.type}</encoding>
						<compilerArgs>
							<arg>-Xlint:deprecation</arg>
						</compilerArgs>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-resources-plugin</artifactId>
					<version>${maven.resources.plugin.version}</version>
					<configuration>
						<encoding>${encoding.type}</encoding>
					</configuration>
				</plugin>
              
		</plugins>
		<finalName>${project.name}-${project.version}</finalName>
	</build>
	
	<distributionManagement>
		<repository>
			<id>mcare_release</id>
			<name>MCare Release Repository (DBS)</name>
			<url>http://sa.idatabank.com/nexus/content/repositories/mcare_release</url>
		</repository>
		<snapshotRepository>
			<id>mcare_snapshot</id>
			<name>MCare Snapshot Repository (DBS)</name>
			<url>http://sa.idatabank.com/nexus/content/repositories/mcare_snapshot</url>
		</snapshotRepository>
	</distributionManagement>
	
</project>